Skip to main content
GET https://api.speccheckrx.com/v1/labs/:id/order_settings

Authentication

This endpoint requires bearer token authentication.

Headers

Authorization
string
required
Your bearer token in the format Bearer <token>.
User-Email
string
required
The email address of the user making the request.Must exactly match the email address used to log in to the SpecCheck Dashboard.

Parameters

account_number
string
required
The lab account number for this request.

Returns

Returns an object describing order-related settings configured for the lab.
frame_handling_options
array of string
Frame handling options available for the lab.
frame_materials
array of string
Frame material options available for the lab.
mounting_options
array of string
Mounting options available for the lab.
order_types
array of string
Order types available for the lab.
redo_types
array of string
Redo types available for the lab.
services
array of string
Services available for the lab.
{
  "frame_handling_options": ["Frame to Come", "Lenses Only"],
  "frame_materials": ["Metal", "Zyl"],
  "mounting_options": ["Edged & Mount", "Uncuts Only"],
  "order_types": ["rx", "frame"],
  "redo_types": ["Remake", "Warranty"],
  "services": ["Roll & Polish Edges", "Add/Replace Nose Pads"]
}
curl "https://api.speccheckrx.com/v1/labs/{{LAB_ID}}/order_settings?account_number={{ACCOUNT_NUMBER}}" \
  -H "Authorization: Bearer {{ACCESS_TOKEN}}" \
  -H "User-Email: {{USER_EMAIL}}"